#! /bin/bash

sed \
    -e '/:mediaserver:"MpMediaTask::\(handleWaitForSignal\|signalFrameStart\)\|:mediaserver:"autoThrottleFunction currentCalls/!d' \
    -e 's/^"\([^"]*\)".*\(:mediaserver:"MpMediaTask::\(handleWaitForSignal\|signalFrameStart\)\|:mediaserver:"autoThrottleFunction\) /\1 /' \
    "$@" |
awk -F. '{ if (last != $1) print "" ; last = $1 ; print }'

